Skip to main content
POST
List lockfiles in a given repository with dependencies

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

repositoryId
string<int64>
required

Repository ID to filter by. Use Projects endpoints to retrieve repository IDs.

Body

application/json
cursor
string

Use cursor in response to get next page of results.

dependencyFilter
object

Object to provide dependency details to filter by.

deploymentId
string<int64>

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

pageSize
integer<int64>
default:5

Number of repositories per page. Default: 5, min: 1, max: 100.

Required range: 1 <= x <= 100
Example:

100

repositoryId
string<int64>

Repository ID to filter by. Use Projects endpoints to retrieve repository IDs.

Response

200 - application/json

OK

cursor
string

Pass to next request to get next page of results.

hasMore
boolean

True if there are more lockfiles to get.

lockfileSummaries
object[]

List of lockfiles.